use rocket::get;
use rocket_dyn_templates::{tera::Context, Template};

use crate::routes::authentication::Authenticated;

// HELPERS AND ROUTES FOR /status/scuttlebutt

#[get("/scuttlebutt")]
pub fn scuttlebutt_status(_auth: Authenticated) -> Template {
    let mut context = Context::new();
    context.insert("flash_name", &None::<()>);
    context.insert("flash_msg", &None::<()>);
    context.insert("title", &Some("Scuttlebutt Status"));

    Template::render("status/scuttlebutt", &context.into_json())
}
